> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.to_arrow_batch_iterator.md).

# Table.to\_arrow\_batch\_iterator

### Table.<mark style="color:purple;">to\_arrow\_batch\_iterator</mark>(*max\_results=None, \*, variables=None, progress=True*) → [pyarrow.RecordBatch](https://arrow.apache.org/docs/python/generated/pyarrow.RecordBatch.html) iterator

Returns an iterator that can be used to consume a table in chunks of PyArrow RecordBatches. Allows for streaming workflows where only a small portion of the table is read into memory at a time.

{% hint style="info" %}
Also callable on [Queries](/api/client-libraries/redivis-python/reference/query.md) and [Uploads](/api/client-libraries/redivis-python/reference/upload.md) →  

`query.to_arrow_batch_iterator(...)` | `upload.to_arrow_batch_iterator(...)`
{% endhint %}

### **Parameters:**&#x20;

**`max_results` :&#x20;*****int, default None*** \
The maximum number of rows to return. If not specified, all rows in the table will be read.&#x20;

**`variables` :&#x20;*****list\<str>, default None***\
A list of variable names to read, improving performance when not all variables are needed. If unspecified, all variables will be represented in the returned rows. Variable names are case-insensitive, though the names in the results will reflect the variable's true casing. The order of the columns returned will correspond to the order of names in this list.

**`progress` :&#x20;*****bool, default True***\
Whether to show a progress ba&#x72;**.**&#x20;

### **Yields:**&#x20;

[**pyarrow.RecordBatch**](https://arrow.apache.org/docs/python/generated/pyarrow.RecordBatch.html)

{% hint style="success" %}
**See also**

* [Table.to\_arrow\_dataset()](/api/client-libraries/redivis-python/reference/table/table.to_arrow_dataset.md)
* [Table.to\_arrow\_table()](/api/client-libraries/redivis-python/reference/table/table.to_arrow_table.md)
* [Table.to\_geopandas\_dataframe()](/api/client-libraries/redivis-python/reference/table/table.to_geopandas_dataframe.md)
* [Table.to\_dask\_dataframe()](/api/client-libraries/redivis-python/reference/table/table.to_dask_dataframe.md)
* [Table.to\_pandas\_dataframe()](/api/client-libraries/redivis-python/reference/table/table.to_pandas_dataframe.md)
* [Table.to\_polars\_lazyframe()](/api/client-libraries/redivis-python/reference/table/table.to_polars_lazyframe.md)
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.to_arrow_batch_iterator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
